Gramps

Download the old version of Gramps for Mac

If you experience any compatibility issues with Gramps for Mac, consider downloading one of the older versions of Gramps. MacUpdate stores previous versions of Gramps for you since v. 4.2.6.

Download the current version

Older versions of Gramps for Mac